/*
 Photo Wizard
 A batch image convertor that performs simple image processing tasks.
 Copyright  2004, Manas Tungare.
 --------------------------------------------------------------------------
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Org.ManasTungare.PhotoWizard
{
	/// <summary>
	/// Summary description for About.
	/// </summary>
	public class About : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button okButton;
		private System.Windows.Forms.LinkLabel photowizardLink;
		private System.Windows.Forms.LinkLabel imagemagickLink;
		private System.Windows.Forms.LinkLabel cygwinLink;
		private System.Windows.Forms.Panel aboutPanel;
		private System.Windows.Forms.Button licenseButton;
		private System.Windows.Forms.Label photoWizardLabel;
		private System.Windows.Forms.Label imageMagickLabel;
		private System.Windows.Forms.Label cygwinLabel;
		private System.Windows.Forms.PictureBox mtLogoPictureBox;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public About()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(About));
			this.okButton = new System.Windows.Forms.Button();
			this.mtLogoPictureBox = new System.Windows.Forms.PictureBox();
			this.photoWizardLabel = new System.Windows.Forms.Label();
			this.photowizardLink = new System.Windows.Forms.LinkLabel();
			this.imageMagickLabel = new System.Windows.Forms.Label();
			this.imagemagickLink = new System.Windows.Forms.LinkLabel();
			this.cygwinLink = new System.Windows.Forms.LinkLabel();
			this.cygwinLabel = new System.Windows.Forms.Label();
			this.aboutPanel = new System.Windows.Forms.Panel();
			this.licenseButton = new System.Windows.Forms.Button();
			this.aboutPanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// okButton
			// 
			this.okButton.BackColor = System.Drawing.SystemColors.Control;
			this.okButton.Location = new System.Drawing.Point(216, 392);
			this.okButton.Name = "okButton";
			this.okButton.TabIndex = 0;
			this.okButton.Text = "&OK";
			this.okButton.Click += new System.EventHandler(this.okButton_Click);
			// 
			// mtLogoPictureBox
			// 
			this.mtLogoPictureBox.Image = ((System.Drawing.Image)(resources.GetObject("mtLogoPictureBox.Image")));
			this.mtLogoPictureBox.Location = new System.Drawing.Point(88, 8);
			this.mtLogoPictureBox.Name = "mtLogoPictureBox";
			this.mtLogoPictureBox.Size = new System.Drawing.Size(120, 120);
			this.mtLogoPictureBox.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
			this.mtLogoPictureBox.TabIndex = 1;
			this.mtLogoPictureBox.TabStop = false;
			// 
			// photoWizardLabel
			// 
			this.photoWizardLabel.Font = new System.Drawing.Font("Trebuchet MS", 27.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.photoWizardLabel.Location = new System.Drawing.Point(0, 136);
			this.photoWizardLabel.Name = "photoWizardLabel";
			this.photoWizardLabel.Size = new System.Drawing.Size(296, 46);
			this.photoWizardLabel.TabIndex = 2;
			this.photoWizardLabel.Text = "Photo Wizard";
			this.photoWizardLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// photowizardLink
			// 
			this.photowizardLink.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.photowizardLink.Location = new System.Drawing.Point(0, 184);
			this.photowizardLink.Name = "photowizardLink";
			this.photowizardLink.Size = new System.Drawing.Size(296, 19);
			this.photowizardLink.TabIndex = 3;
			this.photowizardLink.TabStop = true;
			this.photowizardLink.Text = "www.manastungare.com/projects/photowizard";
			this.photowizardLink.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			this.photowizardLink.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.photowizardLink_LinkClicked);
			// 
			// imageMagickLabel
			// 
			this.imageMagickLabel.Font = new System.Drawing.Font("Trebuchet MS", 20.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.imageMagickLabel.Location = new System.Drawing.Point(0, 224);
			this.imageMagickLabel.Name = "imageMagickLabel";
			this.imageMagickLabel.Size = new System.Drawing.Size(296, 41);
			this.imageMagickLabel.TabIndex = 4;
			this.imageMagickLabel.Text = "ImageMagick";
			this.imageMagickLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// imagemagickLink
			// 
			this.imagemagickLink.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.imagemagickLink.Location = new System.Drawing.Point(0, 264);
			this.imagemagickLink.Name = "imagemagickLink";
			this.imagemagickLink.Size = new System.Drawing.Size(296, 19);
			this.imagemagickLink.TabIndex = 5;
			this.imagemagickLink.TabStop = true;
			this.imagemagickLink.Text = "www.imagemagick.org";
			this.imagemagickLink.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			this.imagemagickLink.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.imagemagickLink_LinkClicked);
			// 
			// cygwinLink
			// 
			this.cygwinLink.Font = new System.Drawing.Font("Tahoma", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cygwinLink.Location = new System.Drawing.Point(0, 344);
			this.cygwinLink.Name = "cygwinLink";
			this.cygwinLink.Size = new System.Drawing.Size(296, 19);
			this.cygwinLink.TabIndex = 6;
			this.cygwinLink.TabStop = true;
			this.cygwinLink.Text = "www.cygwin.com";
			this.cygwinLink.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			this.cygwinLink.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.cygwinLink_LinkClicked);
			// 
			// cygwinLabel
			// 
			this.cygwinLabel.Font = new System.Drawing.Font("Trebuchet MS", 20.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.cygwinLabel.Location = new System.Drawing.Point(0, 304);
			this.cygwinLabel.Name = "cygwinLabel";
			this.cygwinLabel.Size = new System.Drawing.Size(296, 41);
			this.cygwinLabel.TabIndex = 7;
			this.cygwinLabel.Text = "CygWin";
			this.cygwinLabel.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// aboutPanel
			// 
			this.aboutPanel.BackColor = System.Drawing.Color.White;
			this.aboutPanel.Controls.Add(this.mtLogoPictureBox);
			this.aboutPanel.Controls.Add(this.photoWizardLabel);
			this.aboutPanel.Controls.Add(this.photowizardLink);
			this.aboutPanel.Controls.Add(this.imageMagickLabel);
			this.aboutPanel.Controls.Add(this.imagemagickLink);
			this.aboutPanel.Controls.Add(this.cygwinLabel);
			this.aboutPanel.Controls.Add(this.cygwinLink);
			this.aboutPanel.Dock = System.Windows.Forms.DockStyle.Top;
			this.aboutPanel.Location = new System.Drawing.Point(0, 0);
			this.aboutPanel.Name = "aboutPanel";
			this.aboutPanel.Size = new System.Drawing.Size(298, 384);
			this.aboutPanel.TabIndex = 8;
			// 
			// licenseButton
			// 
			this.licenseButton.Location = new System.Drawing.Point(8, 392);
			this.licenseButton.Name = "licenseButton";
			this.licenseButton.Size = new System.Drawing.Size(72, 24);
			this.licenseButton.TabIndex = 9;
			this.licenseButton.Text = "License ...";
			this.licenseButton.Click += new System.EventHandler(this.licenseButton_Click);
			// 
			// About
			// 
			this.AcceptButton = this.okButton;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.BackColor = System.Drawing.SystemColors.Control;
			this.ClientSize = new System.Drawing.Size(298, 423);
			this.ControlBox = false;
			this.Controls.Add(this.licenseButton);
			this.Controls.Add(this.aboutPanel);
			this.Controls.Add(this.okButton);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "About";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterParent;
			this.Text = "About Photo Wizard";
			this.aboutPanel.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void okButton_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void photowizardLink_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Process.Start ("http://www.manastungare.com/projects/photowizard/");
		}

		private void imagemagickLink_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Process.Start ("http://www.imagemagick.org/");
		}

		private void cygwinLink_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Process.Start ("http://www.cygwin.com/");
		}

		private void licenseButton_Click(object sender, System.EventArgs e)
		{
			System.Diagnostics.Process.Start ("http://www.gnu.org/copyleft/gpl.html");
		}
	}
}
