/*
 Photo Wizard
 A batch image convertor that performs simple image processing tasks.
 Copyright  2004, Manas Tungare.
 --------------------------------------------------------------------------
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace Org.ManasTungare.PhotoWizard.Operations
{
	/// <summary>
	/// Perform antialiasing of the image if checked.
	/// </summary>
	public class Antialiaser : System.Windows.Forms.UserControl , Org.ManasTungare.PhotoWizard.IOperation
	{
		private System.Windows.Forms.CheckBox enableAntialiasCheckBox;
		private System.Windows.Forms.GroupBox antialiasGroupBox;
		private System.Windows.Forms.ToolTip antialiasTooltip;
		private System.ComponentModel.IContainer components;

		public Antialiaser()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.antialiasGroupBox = new System.Windows.Forms.GroupBox();
			this.enableAntialiasCheckBox = new System.Windows.Forms.CheckBox();
			this.antialiasTooltip = new System.Windows.Forms.ToolTip(this.components);
			this.antialiasGroupBox.SuspendLayout();
			this.SuspendLayout();
			// 
			// antialiasGroupBox
			// 
			this.antialiasGroupBox.Controls.Add(this.enableAntialiasCheckBox);
			this.antialiasGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.antialiasGroupBox.Location = new System.Drawing.Point(0, 0);
			this.antialiasGroupBox.Name = "antialiasGroupBox";
			this.antialiasGroupBox.Size = new System.Drawing.Size(118, 48);
			this.antialiasGroupBox.TabIndex = 0;
			this.antialiasGroupBox.TabStop = false;
			this.antialiasTooltip.SetToolTip(this.antialiasGroupBox, "Antialiasing is a technique for reducing jaggies - stairstep-like lines that shou" +
				"ld be smooth. Enabling this option is highly recommended.");
			// 
			// enableAntialiasCheckBox
			// 
			this.enableAntialiasCheckBox.Checked = true;
			this.enableAntialiasCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
			this.enableAntialiasCheckBox.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.enableAntialiasCheckBox.Location = new System.Drawing.Point(16, 16);
			this.enableAntialiasCheckBox.Name = "enableAntialiasCheckBox";
			this.enableAntialiasCheckBox.Size = new System.Drawing.Size(96, 24);
			this.enableAntialiasCheckBox.TabIndex = 0;
			this.enableAntialiasCheckBox.Text = "Anti-Alias";
			this.antialiasTooltip.SetToolTip(this.enableAntialiasCheckBox, "Antialiasing is a technique for reducing jaggies - stairstep-like lines that shou" +
				"ld be smooth. Enabling this option is highly recommended.");
			// 
			// Antialiaser
			// 
			this.AutoScroll = true;
			this.AutoScrollMargin = new System.Drawing.Size(4, 4);
			this.AutoScrollMinSize = new System.Drawing.Size(0, 44);
			this.Controls.Add(this.antialiasGroupBox);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.Name = "Antialiaser";
			this.Size = new System.Drawing.Size(118, 48);
			this.antialiasGroupBox.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		public string getImageMagickCommand() 
		{
			return this.enableAntialiasCheckBox.Checked ? "-antialias" : "+antialias";
		}
	}
}
