/*
 Photo Wizard
 A batch image convertor that performs simple image processing tasks.
 Copyright  2004, Manas Tungare.
 --------------------------------------------------------------------------
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace Org.ManasTungare.PhotoWizard.Operations
{
	/// <summary>
	/// Controls the JPEG quality factor.
	/// </summary>
	public class Quality : System.Windows.Forms.UserControl, Org.ManasTungare.PhotoWizard.IOperation
	{
		private System.Windows.Forms.GroupBox qualityGroupBox;
		private System.Windows.Forms.CheckBox enableQualityCheckBox;
		private System.Windows.Forms.TrackBar qualityTrackBar;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Quality()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.qualityGroupBox = new System.Windows.Forms.GroupBox();
			this.qualityTrackBar = new System.Windows.Forms.TrackBar();
			this.enableQualityCheckBox = new System.Windows.Forms.CheckBox();
			this.qualityGroupBox.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.qualityTrackBar)).BeginInit();
			this.SuspendLayout();
			// 
			// qualityGroupBox
			// 
			this.qualityGroupBox.Controls.Add(this.qualityTrackBar);
			this.qualityGroupBox.Controls.Add(this.enableQualityCheckBox);
			this.qualityGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.qualityGroupBox.Location = new System.Drawing.Point(0, 0);
			this.qualityGroupBox.Name = "qualityGroupBox";
			this.qualityGroupBox.Size = new System.Drawing.Size(288, 88);
			this.qualityGroupBox.TabIndex = 0;
			this.qualityGroupBox.TabStop = false;
			// 
			// qualityTrackBar
			// 
			this.qualityTrackBar.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.qualityTrackBar.Enabled = false;
			this.qualityTrackBar.Location = new System.Drawing.Point(32, 43);
			this.qualityTrackBar.Maximum = 20;
			this.qualityTrackBar.Name = "qualityTrackBar";
			this.qualityTrackBar.Size = new System.Drawing.Size(240, 42);
			this.qualityTrackBar.TabIndex = 1;
			this.qualityTrackBar.Value = 19;
			// 
			// enableQualityCheckBox
			// 
			this.enableQualityCheckBox.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.enableQualityCheckBox.Location = new System.Drawing.Point(16, 16);
			this.enableQualityCheckBox.Name = "enableQualityCheckBox";
			this.enableQualityCheckBox.Size = new System.Drawing.Size(88, 24);
			this.enableQualityCheckBox.TabIndex = 0;
			this.enableQualityCheckBox.Text = "Quality";
			this.enableQualityCheckBox.CheckedChanged += new System.EventHandler(this.enableQualityCheckBox_CheckedChanged);
			// 
			// Quality
			// 
			this.AutoScroll = true;
			this.AutoScrollMinSize = new System.Drawing.Size(236, 88);
			this.Controls.Add(this.qualityGroupBox);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.Name = "Quality";
			this.Size = new System.Drawing.Size(288, 88);
			this.qualityGroupBox.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.qualityTrackBar)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		public string getImageMagickCommand() 
		{
			return this.enableQualityCheckBox.Checked ? "-quality " + (this.qualityTrackBar.Value * 100 / this.qualityTrackBar.Maximum) : "";
		}

		private void enableQualityCheckBox_CheckedChanged(object sender, System.EventArgs e)
		{
			this.qualityTrackBar.Enabled = this.enableQualityCheckBox.Checked;
		}
	}
}
