/*
 Photo Wizard
 A batch image convertor that performs simple image processing tasks.
 Copyright  2004, Manas Tungare.
 --------------------------------------------------------------------------
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace Org.ManasTungare.PhotoWizard.Operations
{
	/// <summary>
	/// Resize the image as indicated by parameters passed to it.
	/// </summary>
	public class Resizer : System.Windows.Forms.UserControl, Org.ManasTungare.PhotoWizard.IOperation
	{
		private System.Windows.Forms.CheckBox enableResizingCheckBox;
		private System.Windows.Forms.TextBox widthTextBox;
		private System.Windows.Forms.TextBox heightTextBox;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.Label widthLabel;
		private System.Windows.Forms.Label heightLabel;
		private System.Windows.Forms.GroupBox resizerGroupBox;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Resizer()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			// TODO: Add any initialization after the InitializeComponent call

		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Resizer));
			this.enableResizingCheckBox = new System.Windows.Forms.CheckBox();
			this.widthLabel = new System.Windows.Forms.Label();
			this.heightLabel = new System.Windows.Forms.Label();
			this.widthTextBox = new System.Windows.Forms.TextBox();
			this.heightTextBox = new System.Windows.Forms.TextBox();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.resizerGroupBox = new System.Windows.Forms.GroupBox();
			this.resizerGroupBox.SuspendLayout();
			this.SuspendLayout();
			// 
			// enableResizingCheckBox
			// 
			this.enableResizingCheckBox.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.enableResizingCheckBox.Location = new System.Drawing.Point(16, 16);
			this.enableResizingCheckBox.Name = "enableResizingCheckBox";
			this.enableResizingCheckBox.Size = new System.Drawing.Size(120, 24);
			this.enableResizingCheckBox.TabIndex = 0;
			this.enableResizingCheckBox.Text = "Resize";
			this.enableResizingCheckBox.CheckedChanged += new System.EventHandler(this.enableResizingCheckBox_CheckedChanged);
			// 
			// widthLabel
			// 
			this.widthLabel.AutoSize = true;
			this.widthLabel.Enabled = false;
			this.widthLabel.Location = new System.Drawing.Point(80, 44);
			this.widthLabel.Name = "widthLabel";
			this.widthLabel.Size = new System.Drawing.Size(37, 17);
			this.widthLabel.TabIndex = 1;
			this.widthLabel.Text = "Width:";
			// 
			// heightLabel
			// 
			this.heightLabel.AutoSize = true;
			this.heightLabel.BackColor = System.Drawing.Color.Transparent;
			this.heightLabel.Enabled = false;
			this.heightLabel.Location = new System.Drawing.Point(16, 80);
			this.heightLabel.Name = "heightLabel";
			this.heightLabel.Size = new System.Drawing.Size(41, 17);
			this.heightLabel.TabIndex = 2;
			this.heightLabel.Text = "Height:";
			// 
			// widthTextBox
			// 
			this.widthTextBox.Enabled = false;
			this.widthTextBox.Location = new System.Drawing.Point(120, 40);
			this.widthTextBox.Name = "widthTextBox";
			this.widthTextBox.Size = new System.Drawing.Size(64, 21);
			this.widthTextBox.TabIndex = 3;
			this.widthTextBox.Text = "640";
			this.widthTextBox.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// heightTextBox
			// 
			this.heightTextBox.Enabled = false;
			this.heightTextBox.Location = new System.Drawing.Point(16, 96);
			this.heightTextBox.Name = "heightTextBox";
			this.heightTextBox.Size = new System.Drawing.Size(64, 21);
			this.heightTextBox.TabIndex = 4;
			this.heightTextBox.Text = "480";
			this.heightTextBox.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
			// 
			// pictureBox1
			// 
			this.pictureBox1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
			this.pictureBox1.Enabled = false;
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(88, 64);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(128, 90);
			this.pictureBox1.TabIndex = 5;
			this.pictureBox1.TabStop = false;
			// 
			// resizerGroupBox
			// 
			this.resizerGroupBox.Controls.Add(this.heightTextBox);
			this.resizerGroupBox.Controls.Add(this.heightLabel);
			this.resizerGroupBox.Controls.Add(this.widthLabel);
			this.resizerGroupBox.Controls.Add(this.pictureBox1);
			this.resizerGroupBox.Controls.Add(this.widthTextBox);
			this.resizerGroupBox.Controls.Add(this.enableResizingCheckBox);
			this.resizerGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.resizerGroupBox.Location = new System.Drawing.Point(0, 0);
			this.resizerGroupBox.Name = "resizerGroupBox";
			this.resizerGroupBox.Size = new System.Drawing.Size(236, 168);
			this.resizerGroupBox.TabIndex = 6;
			this.resizerGroupBox.TabStop = false;
			// 
			// Resizer
			// 
			this.AutoScroll = true;
			this.AutoScrollMargin = new System.Drawing.Size(4, 4);
			this.AutoScrollMinSize = new System.Drawing.Size(232, 164);
			this.Controls.Add(this.resizerGroupBox);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.Name = "Resizer";
			this.Size = new System.Drawing.Size(236, 168);
			this.resizerGroupBox.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void enableResizingCheckBox_CheckedChanged(object sender, System.EventArgs e)
		{
			bool enableEverything = this.enableResizingCheckBox.Checked;
			foreach (Control control in this.resizerGroupBox.Controls ) 
			{
				control.Enabled = enableEverything;
			}
			this.enableResizingCheckBox.Enabled = true;
		}

		public string getImageMagickCommand() 
		{
			return this.enableResizingCheckBox.Checked ? "-resize " + this.widthTextBox.Text.Trim() + "x" + this.heightTextBox.Text.Trim() : "";
		}
	
	}
}
