/*
 Photo Wizard
 A batch image convertor that performs simple image processing tasks.
 Copyright  2004, Manas Tungare.
 --------------------------------------------------------------------------
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace Org.ManasTungare.PhotoWizard.Operations
{
	/// <summary>
	/// Summary description for Brightness.
	/// </summary>
	public class Rotater : System.Windows.Forms.UserControl, Org.ManasTungare.PhotoWizard.IOperation
	{
		private System.Windows.Forms.CheckBox enableRotaterCheckBox;
		private System.Windows.Forms.GroupBox rotaterGroupBox;
		private System.Windows.Forms.RadioButton rotateClockwiseRadioButton;
		private System.Windows.Forms.RadioButton rotateAnticlockwiseRadioButton;
		private System.Windows.Forms.PictureBox tiltedRightPicture;
		private System.Windows.Forms.PictureBox tiltedLeftPicture;
		private System.Windows.Forms.PictureBox verticalPicture;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Rotater()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			// TODO: Add any initialization after the InitializeComponent call

		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Rotater));
			this.rotaterGroupBox = new System.Windows.Forms.GroupBox();
			this.rotateAnticlockwiseRadioButton = new System.Windows.Forms.RadioButton();
			this.tiltedLeftPicture = new System.Windows.Forms.PictureBox();
			this.tiltedRightPicture = new System.Windows.Forms.PictureBox();
			this.rotateClockwiseRadioButton = new System.Windows.Forms.RadioButton();
			this.verticalPicture = new System.Windows.Forms.PictureBox();
			this.enableRotaterCheckBox = new System.Windows.Forms.CheckBox();
			this.rotaterGroupBox.SuspendLayout();
			this.SuspendLayout();
			// 
			// rotaterGroupBox
			// 
			this.rotaterGroupBox.Controls.Add(this.rotateAnticlockwiseRadioButton);
			this.rotaterGroupBox.Controls.Add(this.tiltedLeftPicture);
			this.rotaterGroupBox.Controls.Add(this.tiltedRightPicture);
			this.rotaterGroupBox.Controls.Add(this.rotateClockwiseRadioButton);
			this.rotaterGroupBox.Controls.Add(this.verticalPicture);
			this.rotaterGroupBox.Controls.Add(this.enableRotaterCheckBox);
			this.rotaterGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.rotaterGroupBox.Location = new System.Drawing.Point(0, 0);
			this.rotaterGroupBox.Name = "rotaterGroupBox";
			this.rotaterGroupBox.Size = new System.Drawing.Size(244, 128);
			this.rotaterGroupBox.TabIndex = 0;
			this.rotaterGroupBox.TabStop = false;
			// 
			// rotateAnticlockwiseRadioButton
			// 
			this.rotateAnticlockwiseRadioButton.CheckAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rotateAnticlockwiseRadioButton.Enabled = false;
			this.rotateAnticlockwiseRadioButton.Image = ((System.Drawing.Image)(resources.GetObject("rotateAnticlockwiseRadioButton.Image")));
			this.rotateAnticlockwiseRadioButton.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
			this.rotateAnticlockwiseRadioButton.Location = new System.Drawing.Point(160, 40);
			this.rotateAnticlockwiseRadioButton.Name = "rotateAnticlockwiseRadioButton";
			this.rotateAnticlockwiseRadioButton.Size = new System.Drawing.Size(48, 24);
			this.rotateAnticlockwiseRadioButton.TabIndex = 8;
			// 
			// tiltedLeftPicture
			// 
			this.tiltedLeftPicture.Enabled = false;
			this.tiltedLeftPicture.Image = ((System.Drawing.Image)(resources.GetObject("tiltedLeftPicture.Image")));
			this.tiltedLeftPicture.Location = new System.Drawing.Point(48, 72);
			this.tiltedLeftPicture.Name = "tiltedLeftPicture";
			this.tiltedLeftPicture.Size = new System.Drawing.Size(48, 50);
			this.tiltedLeftPicture.TabIndex = 7;
			this.tiltedLeftPicture.TabStop = false;
			// 
			// tiltedRightPicture
			// 
			this.tiltedRightPicture.Enabled = false;
			this.tiltedRightPicture.Image = ((System.Drawing.Image)(resources.GetObject("tiltedRightPicture.Image")));
			this.tiltedRightPicture.Location = new System.Drawing.Point(160, 72);
			this.tiltedRightPicture.Name = "tiltedRightPicture";
			this.tiltedRightPicture.Size = new System.Drawing.Size(56, 50);
			this.tiltedRightPicture.TabIndex = 6;
			this.tiltedRightPicture.TabStop = false;
			// 
			// rotateClockwiseRadioButton
			// 
			this.rotateClockwiseRadioButton.Checked = true;
			this.rotateClockwiseRadioButton.Enabled = false;
			this.rotateClockwiseRadioButton.Image = ((System.Drawing.Image)(resources.GetObject("rotateClockwiseRadioButton.Image")));
			this.rotateClockwiseRadioButton.ImageAlign = System.Drawing.ContentAlignment.MiddleRight;
			this.rotateClockwiseRadioButton.Location = new System.Drawing.Point(48, 40);
			this.rotateClockwiseRadioButton.Name = "rotateClockwiseRadioButton";
			this.rotateClockwiseRadioButton.Size = new System.Drawing.Size(48, 24);
			this.rotateClockwiseRadioButton.TabIndex = 5;
			this.rotateClockwiseRadioButton.TabStop = true;
			this.rotateClockwiseRadioButton.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// verticalPicture
			// 
			this.verticalPicture.Enabled = false;
			this.verticalPicture.Image = ((System.Drawing.Image)(resources.GetObject("verticalPicture.Image")));
			this.verticalPicture.Location = new System.Drawing.Point(104, 32);
			this.verticalPicture.Name = "verticalPicture";
			this.verticalPicture.Size = new System.Drawing.Size(56, 72);
			this.verticalPicture.TabIndex = 4;
			this.verticalPicture.TabStop = false;
			// 
			// enableRotaterCheckBox
			// 
			this.enableRotaterCheckBox.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.enableRotaterCheckBox.Location = new System.Drawing.Point(16, 16);
			this.enableRotaterCheckBox.Name = "enableRotaterCheckBox";
			this.enableRotaterCheckBox.Size = new System.Drawing.Size(88, 24);
			this.enableRotaterCheckBox.TabIndex = 0;
			this.enableRotaterCheckBox.Text = "Rotate";
			this.enableRotaterCheckBox.CheckedChanged += new System.EventHandler(this.enableRotaterCheckBox_CheckedChanged);
			// 
			// Rotater
			// 
			this.AutoScroll = true;
			this.AutoScrollMargin = new System.Drawing.Size(4, 4);
			this.AutoScrollMinSize = new System.Drawing.Size(240, 120);
			this.Controls.Add(this.rotaterGroupBox);
			this.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.Name = "Rotater";
			this.Size = new System.Drawing.Size(244, 128);
			this.rotaterGroupBox.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		public string getImageMagickCommand() 
		{
			return this.enableRotaterCheckBox.Checked 
				? 
				"-rotate " + (this.rotateClockwiseRadioButton.Checked ? "90" : "-90" ) 
				: "";
		}

		private void enableRotaterCheckBox_CheckedChanged(object sender, System.EventArgs e)
		{
			bool enableEverything = this.enableRotaterCheckBox.Checked;
			foreach (Control control in this.rotaterGroupBox.Controls ) 
			{
				control.Enabled = enableEverything;
			}
			this.enableRotaterCheckBox.Enabled = true;
		}
	}
}
